/**
  *  \file client/dlg-tech.h
  */
#ifndef PCC_V2_CLIENT_DLG_TECH_H
#define PCC_V2_CLIENT_DLG_TECH_H

#include "ui/ui.h"
#include "ui/widgets.h"
#include "client/actions.h"
#include "game/cargo.h"
#include "game/planet.h"

class GStarbaseTechUpgradeAction;
class WTechBar;

// class WTechDialog : public UIWindow {
//     GPlanet&                    planet;
//     GPlanetTransfer             cargo;
//     GStarbaseTechUpgradeAction  action;
    
//     ObjectHolder holder;
//     WTechBar*    bars[4];
//  public:
//     WTechDialog(GPlanet& planet);
//     ~WTechDialog();

//     void run();
// };

// bar for selection of a tech level
class WTechBar : public UINumberSelector {
    string_t name;

    GfxRect  getBarPosition() const;
 public:
    WTechBar(int id, int low, int high, string_t name);
    ~WTechBar();

    void draw(Ptr<GfxCanvas> can, UpdateInfo& ui);
    bool handleEvent(const UIEvent& e, bool second_pass);
    void getLayoutInfo(LayoutInfo& info);
    void stateChanged(int state, bool enabled);
};

void doTechUpgradeDialog(GPlanet& planet);

#endif
