/**
  *  \file game/formula.cc
  *
  *  (c) 2001,2002,2003 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "game/formula.h"

/** Pi. This is what "echo 'a(1)*4' | bc -l" says. */
const double PI = 3.14159265358979323844;

int32
round(double d)
{
    if (d < 0)
        return -int(-d + 0.5);
    else
        return int(d + 0.5);
}
