/**
  *  \file game/gamedirs.h
  *
  *  (c) 2001,2002,2003 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_GAMEDIRS_H
#define PCC_V2_GAME_GAMEDIRS_H

#include "fileio/dirs.h"
#include "cpluslib/smartptr.h"
#include "cpluslib/string.h"

extern Ptr<Directory> spec_file_dir;
extern Ptr<Directory> game_file_dir;
extern Ptr<Directory> winplan_dir;

void initDirectories(string_t gamedir, string_t rootdir);

#endif
