/**
  *  \file int/function.h
  *
  *  (c) 2001,2002,2003 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_FUNCTION_H
#define PCC_V2_INT_FUNCTION_H

#include "int/expr.h"

bool isBuiltinFunction(const string_t& name);
bool createFunctionNode(const string_t& name,
                        int nargs,
                        IntExprParser& parser);

#endif
