/**
  *  \file resmgr/res-wp.h
  *
  *  (c) 2001,2002,2003 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_RESMGR_RES_WP_H
#define PCC_V2_RESMGR_RES_WP_H

#include "resmgr/resmgr.h"
#include "fileio/dirs.h"

class ResProviderWinplanBMP : public ResProvider {
    Ptr<Directory> dir;
 public:
    ResProviderWinplanBMP(Ptr<Directory> d);
    ResProviderWinplanBMP(string_t s);
    ~ResProviderWinplanBMP();
    Ptr<Stream> getEntry(ResID id, ResClass rc);
};

#endif
