/**
  *  \file resmgr/res-wpvcr.h
  *
  *  (c) 2001,2002,2003 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_RESMGR_RES_WPVCR_H
#define PCC_V2_RESMGR_RES_WPVCR_H

#include "resmgr/resmgr.h"
#include "fileio/streams.h"
#include "cpluslib/string.h"

class ResProviderWPVCR : public ResProvider {
    enum { ENTRIES = 160 };
    Ptr<SubStream> file;
    uint32 offsets[2][ENTRIES];
    uint16 sizes[2][ENTRIES];
    void init();
 public:
    ResProviderWPVCR(Ptr<Stream> file);
    ResProviderWPVCR(string_t name);
    ~ResProviderWPVCR();
    
    Ptr<Stream> getEntry(ResID id, ResClass rc);
};

#endif
