/* This file is only fed into Doxygen to make it sort the
   hierarchy correctly. I don't know why it does not like the
   comments, though :-( */

/** C++ Standard Library. */
namespace std {
    class ios { };
    class streambuf { };
    
    class istream : virtual public ios { };
    class ostream : virtual public ios { };
    class iostream : public istream, public ostream { };

    class exception { };
    class runtime_error : public exception { };
    class logic_error : public exception { };
    
    /*! \class ios doxystubs.h <iostream>
        \brief I/O %Stream Base */
    /*! \class streambuf doxystubs.h <iostream>
        \brief I/O %Stream Buffer */
    /*! \class istream doxystubs.h <iostream>
        \brief Input %Stream */
    /*! \class ostream doxystubs.h <iostream>
        \brief Output %Stream */
    /*! \class iostream doxystubs.h <iostream>
        \brief I/O %Stream */
    /*! \class exception doxystubs.h <stdexception>
        \brief Basic %Exception. All exceptions should be derived from this. */
    /*! \class runtime_error doxystubs.h <stdexception>
        \brief Runtime error. */
    /*! \class logic_error doxystubs.h <stdexception>
        \brief Logic error. */
};
