#!/usr/bin/perl

my $dir = shift @ARGV or die "no directory specified";
my $test = shift @ARGV;
$test ||= 'diff';

my @vcrs = <$dir/vcr*.dat>;
foreach (@vcrs) {
	my $output = $_;
	my $dir = $_;
	$output =~ s/\.dat$/.out/;
	$dir =~ s,/[^/]+$,,;
	if ($test eq 'diff') {
		-r $output or next;
		system "bash -c 'diff -u <(~/pcc-v2/test $_ $dir) $output'";
	} elsif ($test eq 'time') {
		system "time \$HOME/pcc-v2/test $_ $dir 10 >/dev/null";
	} else {
		die "invalid test mode `$test'";
	}
}
