/*
 *  TEST: expandRaceNames
 *
 *  This takes parameters, and expands "%a"-style race-name placeholders.
 */
#include <iostream>
#include "game/player.h"
#include "game/global.h"
#include "arch/platform.h"

int main(int argc, char** argv)
{
    initDirectories(Platform::getDataDirectory(), Platform::getDataDirectory());
    initRaceNames();
    while (*++argv)
        std::cout << "`" << *argv << "'\t -> `" << expandRaceNames(*argv) << "'\n";
}
