/**
  *  \file arch/unix/platform.h
  */
#ifndef PCC_V2_ARCH_UNIX_PLATFORM_H
#define PCC_V2_ARCH_UNIX_PLATFORM_H

#include "arch/generic.h"

struct Platform : GenericPlatform {
    static void init(bool graphics);
    static void initOptions(StandardCommandLineParser& par);
    static string_t getDataDirectory();
    static string_t getResourceDirectory();
    static string_t getLanguageCode();
    static string_t getUserSettingsDirectory();
};

#endif
