/* acdefs.h for Borland C++ 5.5 for Win32  */
#ifndef PCC_V2_DEFS_H
#  error "This file can only be included via \"defs.h\""
#endif

/**************************** Autoconf Options ***************************/

/** Define if you have working stream traits, i.e.
    basic_streambuf<T>::traits. */
/* #define HAVE_STREAM_TRAITS */

/** Define if your iostreams provide the manifest types (streambuf::pos_type
    etc). GNU libio does not. */
#define HAVE_STREAM_TYPES 1

/** Define if your streams library modifies errno which is a Good Thing(tm). */
#define HAVE_STREAM_ERRNO 1

/** Define if your STL has copy_n (a SGI extension) */
/* #define HAVE_COPY_N 1 */

/** Define if you have SDL */
#define HAVE_SDL 1

/** Define if you have and want to use SDL_image */
#define HAVE_LIBSDL_IMAGE 1

/** Define if you have getrusage. */
/* #define HAVE_GETRUSAGE 1 */

/** Define if you have putenv (POSIX) */
#define HAVE_PUTENV 1

/** Define if you have setenv (BSD) */
#define HAVE_SETENV 1
