struct TGameConfig {
    int16 ConfigLevel;
    int16 PlayerRace[11];
    int16 RecycleRate;
    int16 RandomMeteorRate;
    bool AllowMinefields;
    bool AllowAlchemy;
    bool DeleteOldMessages;
    bool DisablePasswords;
    int16 GroundKillFactor[11];
    int16 GroundDefenseFactor[11];
    int16 FreeFighters[11];
    int16 RaceMiningRate[11];
    bool RebelsBuildFighters;
    bool ColoniesBuildFighters;
    bool RobotsBuildFighters;
    int16 CloakFailureRate;
    bool RobCloakedShips;
    int16 ScanRange[11];
    int16 SensorRange[11];
    int16 DarkSenseRange;
    bool AllowHiss;
    bool AllowRebelGroundAttack;
    bool AllowSuperRefit;
    bool AllowWebMines;
    int16 CloakFuelBurn;
    bool AllowNewNatives;
    bool AllowPlanetAttacks;
    int16 BorgAssimilationRate;
    int16 MineDecayRate[11];
    int16 WebMineDecayRate;
    int16 MaximumMinefieldRadius[11];
    int16 MaximumWebMinefieldRadius;
    int16 TransuraniumDecayRate;
    int16 StructureDecayPerTurn[11];
    int16 StructureDecayOnUnowned;
    bool AllowEatingSupplies;
    bool AllowNoFuelMovement;
    int16 MineHitOdds[11];
    int16 WebMineHitOdds[11];
    int16 MineScanRange[11];
    bool AllowMinesDestroyMines;
    bool AllowEngineShieldBonus;
    int16 EngineShieldBonusRate;
    int16 FighterSweepRate[11];
    bool AllowColoniesSweepWebs;
    int16 MineSweepRate[11];
    int16 WebMineSweepRate[11];
    int16 HissEffectRate;
    int16 RobFailureOdds;
    bool PlanetsAttackRebels;
    bool PlanetsAttackKlingons;
    int16 MineSweepRange[11];
    int16 WebMineSweepRange[11];
    bool AllowScienceMissions;
    int16 MineHitOddsWhenCloakedX10[11];
    int16 DamageLevelForCloakFail;
    bool AllowFedCombatBonus;
    int16 MeteorShowerOdds;
    int32 MeteorShowerOreRanges[8];
    int16 LargeMeteorsImpacting;
    int32 LargeMeteorOreRanges[8];
    bool AllowMeteorMessages;
    bool AllowOneEngineTowing;
    bool AllowHyperWarps;
    int16 ClimateDeathRate;
    bool AllowGravityWells;
    bool CrystalsPreferDeserts;
    bool AllowMinesDestroyWebs;
    bool ClimateLimitsPopulation;
    int32 MaxPlanetaryIncome;
    int16 IonStormActivity;
    bool AllowChunneling;
    bool AllowDeluxeSuperSpy;
    bool IonStormsHideMines;
    bool AllowGloryDevice;
    bool AllowAntiCloakShips;
    bool AllowGamblingShips;
    bool AllowCloakedShipsAttack;
    bool AllowShipCloning;
    bool AllowBoardingParties;
    bool AllowImperialAssault;
    int16 RamScoopFuelPerLY;
    bool AllowAdvancedRefinery;
    bool AllowBioscanners;
    int16 HullTechNotSlowedByMines;
    bool UseAccurateFuelModel;
    int16 DefenseForUndetectable;
    int16 FactoriesForDetectable;
    int16 MinesForDetectable;
    int16 FighterSweepRange[11];
    int16 MineHitDamageFor100KT;
    int16 WebHitDamageFor100KT;
    bool AllowRegisteredFunctions;
    int16 GravityWellRange;
    string_t Language[12];
    bool AllowPlayerMessages;
    string_t ScoringMethod;
    bool TowedShipsBreakFree;
    int16 NativeClimateDeathRate;
    bool AllowMoreThan50Targets[11];
    bool CrystalSinTempBehavior;
    bool RGANeedsBeams;
    bool AllowRGAOnUnowned;
    bool CPEnableLanguage;
    bool CPEnableBigTargets;
    bool CPEnableRaceName;
    bool CPEnableAllies;
    bool CPEnableMessage;
    bool AllowAnonymousMessages;
    bool DelayAllianceCommands;
    int16 TerraformRate[11];
    int16 MaxColTempSlope;
    int16 WebDrainFuelLoss;
    int16 WebHitFuelLoss;
    bool AllowWormholes;
    int16 WrmDisplacement;
    int16 WrmRandDisplacement;
    int16 WrmStabilityAddX10;
    int16 WrmRandStability;
    int16 WrmMassAdd;
    int16 WrmRandMass;
    bool WrmVoluntaryTravel;
    int16 WrmTravelDistDivisor;
    int16 WrmTravelWarpSpeed;
    bool WrmTravelCloaked;
    int16 WrmEntryPowerX100;
    bool CPEnableGive;
    bool AllowTowCloakedShips;
    int16 RobCloakedChance;
    int16 PlanetaryTorpsPerTube;
    int16 UnitsPerTorpRate[11];
    bool AllowESBonusAgainstPlanets;
    int16 ShipCloneCostRate[11];
    bool AllowHyperjumpGravWells;
    int16 NativeCombatSurvivalRate;
    bool AllowPrivateerTowCapture;
    bool AllowCrystalTowCapture;
    string_t GameName;
    bool RoundGravityWells;
    bool CPEnableSend;
    bool CumulativePillaging;
    bool AllowInterceptAttack;
    int16 RaceGrowthRate[11];
    int16 ProductionRate[11];
    int16 MineOddsWarpBonusX100[11];
    int16 CloakMineOddsWarpBonusX100[11];
    int16 WebMineOddsWarpBonusX100[11];
    int16 MineTravelSafeWarp[11];
    int16 CloakedMineTravelSafeWarp[11];
    int16 WebMineTravelSafeWarp[11];
    bool AllowCloakFailMessages;
    bool TonsScoreCountsPlanets;
    int16 ExtMissionsStartAt;
    int16 WormholeUFOsStartAt;
    int16 MaxShipsHissing;
    bool AllowExtendedMissions;
    int16 SpyDetectionChance;
    bool MapTruehullByPlayerRace;
    bool AllowWraparoundMap;
    int16 WraparoundRectangle[4];
    bool CPEnableRemote;
    bool AllowAlliedChunneling;
    int16 ColonistTaxRate[11];
    int16 NativeTaxRate[11];
    bool AllowAlternativeTowing;
    bool AllowBeamUpClans;
    bool AllowBeamUpMultiple;
    int16 DamageLevelForTerraformFail;
    int16 DamageLevelForAntiCloakFail;
    int16 DamageLevelForChunnelFail;
    int16 DamageLevelForHyperjumpFail;
    int16 MinimumChunnelDistance;
    int16 TowStrengthEngineScale;
    int16 TowStrengthDistanceScale;
    bool AllowPriorityBuild;
    int16 SBQBuildPALBoost[11];
    int16 SBQNewBuildPALBoost[11];
    int32 SBQPointsForAging[11];
    int32 SBQBuildChangePenalty[11];
    int16 SBQBoostExpX100[11];
    int16 PALDecayPerTurn[11];
    int16 PALPlayerRate[11];
    int16 PALCombatAggressor[11];
    int16 PALAggressorPointsPer10KT[11];
    int16 PALOpponentPointsPer10KT[11];
    int16 PALAggressorKillPointsPer10KT[11];
    int16 PALOpponentKillPointsPer10KT[11];
    int16 PALCombatPlanetScaling[11];
    int16 PALCombatBaseScaling[11];
    int16 PALShipCapturePer10Crew[11];
    int16 PALRecyclingPer10KT[11];
    int16 PALBoardingPartyPer10Crew[11];
    int16 PALGroundAttackPer100Clans[11];
    int16 PALGloryDevice[11];
    int16 PALGloryDamagePer10KT[11];
    int16 PALImperialAssault[11];
    int16 PALRGA[11];
    int16 PALPillage[11];
    bool PALIncludesESB[11];
    bool FilterPlayerMessages[11];
    bool AlternativeAntiCloak;
    bool AntiCloakImmunity[11];
    bool AllowMoreThan500Minefields[11];
    int16 NumMinefields;
    int16 PALShipMinekillPer10KT[11];
    int16 MaximumMinefieldsPerPlayer[11];
    bool MineIdNeedsPermission;
    string_t BuildQueue;
    int16 PBPCostPer100KT[11];
    int16 PBPMinimumCost[11];
    int16 PBPCloneCostRate[11];
    TTristate AllowShipNames;
    TTristate BuildPointReport;
    int16 NumShips;
    bool ExtendedSensorSweep;
    int16 ColonistCombatSurvivalRate;
    int16 NewNativesPerTurn;
    int32 NewNativesPopulationRange[2];
    int16 NewNativesRaceRate[9];
    int16 NewNativesGovernmentRate[9];
    int16 PlayerSpecialMission[11];
    int16 NumExperienceLevels;
    int32 ExperienceLevels[10];
    string_t ExperienceLevelNames;
    int16 EPRecrewScaling[11];
    int16 EPShipAging;
    int16 EPPlanetAging;
    int16 EPShipMovement100LY;
    int16 EPShipHyperjump;
    int16 EPShipChunnel;
    int16 EPCombatKillScaling;
    int16 EPCombatDamageScaling;
    int16 EPShipAlchemy100KT;
    int16 EModBayRechargeRate[10];
    int16 EModBayRechargeBonus[10];
    int16 EModBeamRechargeRate[10];
    int16 EModBeamRechargeBonus[10];
    int16 EModTubeRechargeRate[10];
    int16 EModBeamHitFighterCharge[10];
    int16 EModTorpHitOdds[10];
    int16 EModBeamHitOdds[10];
    int16 EModBeamHitBonus[10];
    int16 EModStrikesPerFighter[10];
    int16 EModFighterBeamExplosive[10];
    int16 EModFighterBeamKill[10];
    int16 EModFighterMovementSpeed[10];
    int16 EModMaxFightersLaunched[10];
    int16 EModTorpHitBonus[10];
    int16 EModTubeRechargeBonus[10];
    int16 EModExtraFighterBays[10];
    int16 EModEngineShieldBonusRate[10];
    int16 EModShieldDamageScaling[10];
    int16 EModShieldKillScaling[10];
    int16 EModHullDamageScaling[10];
    int16 EModCrewKillScaling[10];
    int16 EModMineHitOddsBonus[10];
    int16 BayRechargeRate[11];
    int16 BayRechargeBonus[11];
    int16 BeamRechargeRate[11];
    int16 BeamRechargeBonus[11];
    int16 TubeRechargeRate[11];
    int16 BeamHitFighterCharge[11];
    int16 BeamHitShipCharge[11];
    int32 TorpFiringRange[11];
    int32 BeamFiringRange[11];
    int16 TorpHitOdds[11];
    int16 BeamHitOdds[11];
    int16 BeamHitBonus[11];
    int16 StrikesPerFighter[11];
    int16 FighterKillOdds[11];
    int16 FighterBeamExplosive[11];
    int16 FighterBeamKill[11];
    int16 ShipMovementSpeed[11];
    int16 FighterMovementSpeed[11];
    int16 BayLaunchInterval[11];
    int16 MaxFightersLaunched[11];
    bool AllowAlternativeCombat;
    int32 StandoffDistance;
    bool PlanetsHaveTubes;
    bool FireOnAttackFighters;
    int16 TorpHitBonus[11];
    int16 TubeRechargeBonus[11];
    int16 ShieldDamageScaling[11];
    int16 HullDamageScaling[11];
    int16 CrewKillScaling[11];
    int16 ShieldKillScaling[11];
    int16 ExtraFighterBays[11];
    int32 BeamHitFighterRange[11];
    int32 FighterFiringRange[11];

};

enum TConfigIndex {
    PCI_AllowAdvancedRefinery,
    PCI_AllowAlchemy,
    PCI_AllowAlliedChunneling,
    PCI_AllowAlternativeCombat,
    PCI_AllowAlternativeTowing,
    PCI_AllowAnonymousMessages,
    PCI_AllowAntiCloakShips,
    PCI_AllowBeamUpClans,
    PCI_AllowBeamUpMultiple,
    PCI_AllowBioscanners,
    PCI_AllowBoardingParties,
    PCI_AllowChunneling,
    PCI_AllowCloakedShipsAttack,
    PCI_AllowCloakFailMessages,
    PCI_AllowColoniesSweepWebs,
    PCI_AllowCrystalTowCapture,
    PCI_AllowDeluxeSuperSpy,
    PCI_AllowEatingSupplies,
    PCI_AllowEngineShieldBonus,
    PCI_AllowESBonusAgainstPlanets,
    PCI_AllowExtendedMissions,
    PCI_AllowFedCombatBonus,
    PCI_AllowGamblingShips,
    PCI_AllowGloryDevice,
    PCI_AllowGravityWells,
    PCI_AllowHiss,
    PCI_AllowHyperjumpGravWells,
    PCI_AllowHyperWarps,
    PCI_AllowImperialAssault,
    PCI_AllowInterceptAttack,
    PCI_AllowMeteorMessages,
    PCI_AllowMinefields,
    PCI_AllowMinesDestroyMines,
    PCI_AllowMinesDestroyWebs,
    PCI_AllowMoreThan500Minefields,
    PCI_AllowMoreThan50Targets,
    PCI_AllowNewNatives,
    PCI_AllowNoFuelMovement,
    PCI_AllowOneEngineTowing,
    PCI_AllowPlanetAttacks,
    PCI_AllowPlayerMessages,
    PCI_AllowPriorityBuild,
    PCI_AllowPrivateerTowCapture,
    PCI_AllowRebelGroundAttack,
    PCI_AllowRegisteredFunctions,
    PCI_AllowRGAOnUnowned,
    PCI_AllowScienceMissions,
    PCI_AllowShipCloning,
    PCI_AllowShipNames,
    PCI_AllowSuperRefit,
    PCI_AllowTowCloakedShips,
    PCI_AllowWebMines,
    PCI_AllowWormholes,
    PCI_AllowWraparoundMap,
    PCI_AlternativeAntiCloak,
    PCI_AntiCloakImmunity,
    PCI_BayLaunchInterval,
    PCI_BayRechargeBonus,
    PCI_BayRechargeRate,
    PCI_BeamFiringRange,
    PCI_BeamHitBonus,
    PCI_BeamHitFighterCharge,
    PCI_BeamHitFighterRange,
    PCI_BeamHitOdds,
    PCI_BeamHitShipCharge,
    PCI_BeamRechargeBonus,
    PCI_BeamRechargeRate,
    PCI_BorgAssimilationRate,
    PCI_BuildPointReport,
    PCI_BuildQueue,
    PCI_ClimateDeathRate,
    PCI_ClimateLimitsPopulation,
    PCI_CloakedMineTravelSafeWarp,
    PCI_CloakFailureRate,
    PCI_CloakFuelBurn,
    PCI_CloakMineOddsWarpBonusX100,
    PCI_ColoniesBuildFighters,
    PCI_ColonistCombatSurvivalRate,
    PCI_ColonistTaxRate,
    PCI_ConfigLevel,
    PCI_CPEnableAllies,
    PCI_CPEnableBigTargets,
    PCI_CPEnableGive,
    PCI_CPEnableLanguage,
    PCI_CPEnableMessage,
    PCI_CPEnableRaceName,
    PCI_CPEnableRemote,
    PCI_CPEnableSend,
    PCI_CrewKillScaling,
    PCI_CrystalSinTempBehavior,
    PCI_CrystalsPreferDeserts,
    PCI_CumulativePillaging,
    PCI_DamageLevelForAntiCloakFail,
    PCI_DamageLevelForChunnelFail,
    PCI_DamageLevelForCloakFail,
    PCI_DamageLevelForHyperjumpFail,
    PCI_DamageLevelForTerraformFail,
    PCI_DarkSenseRange,
    PCI_DefenseForUndetectable,
    PCI_DelayAllianceCommands,
    PCI_DeleteOldMessages,
    PCI_DisablePasswords,
    PCI_EModBayRechargeBonus,
    PCI_EModBayRechargeRate,
    PCI_EModBeamHitBonus,
    PCI_EModBeamHitFighterCharge,
    PCI_EModBeamHitOdds,
    PCI_EModBeamRechargeBonus,
    PCI_EModBeamRechargeRate,
    PCI_EModCrewKillScaling,
    PCI_EModEngineShieldBonusRate,
    PCI_EModExtraFighterBays,
    PCI_EModFighterBeamExplosive,
    PCI_EModFighterBeamKill,
    PCI_EModFighterMovementSpeed,
    PCI_EModHullDamageScaling,
    PCI_EModMaxFightersLaunched,
    PCI_EModMineHitOddsBonus,
    PCI_EModShieldDamageScaling,
    PCI_EModShieldKillScaling,
    PCI_EModStrikesPerFighter,
    PCI_EModTorpHitBonus,
    PCI_EModTorpHitOdds,
    PCI_EModTubeRechargeBonus,
    PCI_EModTubeRechargeRate,
    PCI_EngineShieldBonusRate,
    PCI_EPCombatDamageScaling,
    PCI_EPCombatKillScaling,
    PCI_EPPlanetAging,
    PCI_EPRecrewScaling,
    PCI_EPShipAging,
    PCI_EPShipAlchemy100KT,
    PCI_EPShipChunnel,
    PCI_EPShipHyperjump,
    PCI_EPShipMovement100LY,
    PCI_ExperienceLevelNames,
    PCI_ExperienceLevels,
    PCI_ExtendedSensorSweep,
    PCI_ExtMissionsStartAt,
    PCI_ExtraFighterBays,
    PCI_FactoriesForDetectable,
    PCI_FighterBeamExplosive,
    PCI_FighterBeamKill,
    PCI_FighterFiringRange,
    PCI_FighterKillOdds,
    PCI_FighterMovementSpeed,
    PCI_FighterSweepRange,
    PCI_FighterSweepRate,
    PCI_FilterPlayerMessages,
    PCI_FireOnAttackFighters,
    PCI_FreeFighters,
    PCI_GameName,
    PCI_GravityWellRange,
    PCI_GroundDefenseFactor,
    PCI_GroundKillFactor,
    PCI_HissEffectRate,
    PCI_HullDamageScaling,
    PCI_HullTechNotSlowedByMines,
    PCI_IonStormActivity,
    PCI_IonStormsHideMines,
    PCI_Language,
    PCI_LargeMeteorOreRanges,
    PCI_LargeMeteorsImpacting,
    PCI_MapTruehullByPlayerRace,
    PCI_MaxColTempSlope,
    PCI_MaxFightersLaunched,
    PCI_MaximumMinefieldRadius,
    PCI_MaximumMinefieldsPerPlayer,
    PCI_MaximumWebMinefieldRadius,
    PCI_MaxPlanetaryIncome,
    PCI_MaxShipsHissing,
    PCI_MeteorShowerOdds,
    PCI_MeteorShowerOreRanges,
    PCI_MineDecayRate,
    PCI_MineHitDamageFor100KT,
    PCI_MineHitOdds,
    PCI_MineHitOddsWhenCloakedX10,
    PCI_MineIdNeedsPermission,
    PCI_MineOddsWarpBonusX100,
    PCI_MineScanRange,
    PCI_MinesForDetectable,
    PCI_MineSweepRange,
    PCI_MineSweepRate,
    PCI_MineTravelSafeWarp,
    PCI_MinimumChunnelDistance,
    PCI_NativeClimateDeathRate,
    PCI_NativeCombatSurvivalRate,
    PCI_NativeTaxRate,
    PCI_NewNativesGovernmentRate,
    PCI_NewNativesPerTurn,
    PCI_NewNativesPopulationRange,
    PCI_NewNativesRaceRate,
    PCI_NumExperienceLevels,
    PCI_NumMinefields,
    PCI_NumShips,
    PCI_PALAggressorKillPointsPer10KT,
    PCI_PALAggressorPointsPer10KT,
    PCI_PALBoardingPartyPer10Crew,
    PCI_PALCombatAggressor,
    PCI_PALCombatBaseScaling,
    PCI_PALCombatPlanetScaling,
    PCI_PALDecayPerTurn,
    PCI_PALGloryDamagePer10KT,
    PCI_PALGloryDevice,
    PCI_PALGroundAttackPer100Clans,
    PCI_PALImperialAssault,
    PCI_PALIncludesESB,
    PCI_PALOpponentKillPointsPer10KT,
    PCI_PALOpponentPointsPer10KT,
    PCI_PALPillage,
    PCI_PALPlayerRate,
    PCI_PALRecyclingPer10KT,
    PCI_PALRGA,
    PCI_PALShipCapturePer10Crew,
    PCI_PALShipMinekillPer10KT,
    PCI_PBPCloneCostRate,
    PCI_PBPCostPer100KT,
    PCI_PBPMinimumCost,
    PCI_PlanetaryTorpsPerTube,
    PCI_PlanetsAttackKlingons,
    PCI_PlanetsAttackRebels,
    PCI_PlanetsHaveTubes,
    PCI_PlayerRace,
    PCI_PlayerSpecialMission,
    PCI_ProductionRate,
    PCI_RaceGrowthRate,
    PCI_RaceMiningRate,
    PCI_RamScoopFuelPerLY,
    PCI_RandomMeteorRate,
    PCI_RebelsBuildFighters,
    PCI_RecycleRate,
    PCI_RGANeedsBeams,
    PCI_RobCloakedChance,
    PCI_RobCloakedShips,
    PCI_RobFailureOdds,
    PCI_RobotsBuildFighters,
    PCI_RoundGravityWells,
    PCI_SBQBoostExpX100,
    PCI_SBQBuildChangePenalty,
    PCI_SBQBuildPALBoost,
    PCI_SBQNewBuildPALBoost,
    PCI_SBQPointsForAging,
    PCI_ScanRange,
    PCI_ScoringMethod,
    PCI_SensorRange,
    PCI_ShieldDamageScaling,
    PCI_ShieldKillScaling,
    PCI_ShipCloneCostRate,
    PCI_ShipMovementSpeed,
    PCI_SpyDetectionChance,
    PCI_StandoffDistance,
    PCI_StrikesPerFighter,
    PCI_StructureDecayOnUnowned,
    PCI_StructureDecayPerTurn,
    PCI_TerraformRate,
    PCI_TonsScoreCountsPlanets,
    PCI_TorpFiringRange,
    PCI_TorpHitBonus,
    PCI_TorpHitOdds,
    PCI_TowedShipsBreakFree,
    PCI_TowStrengthDistanceScale,
    PCI_TowStrengthEngineScale,
    PCI_TransuraniumDecayRate,
    PCI_TubeRechargeBonus,
    PCI_TubeRechargeRate,
    PCI_UnitsPerTorpRate,
    PCI_UseAccurateFuelModel,
    PCI_WebDrainFuelLoss,
    PCI_WebHitDamageFor100KT,
    PCI_WebHitFuelLoss,
    PCI_WebMineDecayRate,
    PCI_WebMineHitOdds,
    PCI_WebMineOddsWarpBonusX100,
    PCI_WebMineSweepRange,
    PCI_WebMineSweepRate,
    PCI_WebMineTravelSafeWarp,
    PCI_WormholeUFOsStartAt,
    PCI_WraparoundRectangle,
    PCI_WrmDisplacement,
    PCI_WrmEntryPowerX100,
    PCI_WrmMassAdd,
    PCI_WrmRandDisplacement,
    PCI_WrmRandMass,
    PCI_WrmRandStability,
    PCI_WrmStabilityAddX10,
    PCI_WrmTravelCloaked,
    PCI_WrmTravelDistDivisor,
    PCI_WrmTravelWarpSpeed,
    PCI_WrmVoluntaryTravel,

    PCI_MAX
};
