/**
  *  \file game/pref.cc
  *  \brief User Preferences
  *
  *  This file contains the user preferences (in contrast to
  *  game/config.cc, which contains the game configuration). This
  *  must be in game/, because some game code depends on it.
  *
  *  (c) 2001,2002,2003 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "game/pref.h"

/** User preferences. */
TUserPreferences user_pref = {
    true,
    1
};
