/**
  *  \file util/nls.h
  *  \brief Definitions for National Language Support
  *
  *  Right now only dummies.
  *
  *  (c) 2001,2002,2003 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UTIL_NLS_H
#define PCC_V2_UTIL_NLS_H

#define _(x)  translate(x)
#define N_(x) (x)

class Stream;

const char* translate(const char* in);
void loadLanguageDatabase(Stream* p);
void loadLanguageDatabase(const char* lang);

void initNLS();

#endif
